summaryrefslogtreecommitdiff
path: root/system/graphite-web/scripts/graphite-build-search-index
diff options
context:
space:
mode:
Diffstat (limited to 'system/graphite-web/scripts/graphite-build-search-index')
-rw-r--r--system/graphite-web/scripts/graphite-build-search-index21
1 files changed, 21 insertions, 0 deletions
diff --git a/system/graphite-web/scripts/graphite-build-search-index b/system/graphite-web/scripts/graphite-build-search-index
new file mode 100644
index 0000000000..9a86ab1924
--- /dev/null
+++ b/system/graphite-web/scripts/graphite-build-search-index
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Jonas Genannt <jonas.genannt@capi2name.de>, 2012 for the Debian Project
+# Modified by Mario Preksavec <mario@slackware.hr>, 2015 for Slackware
+
+set -e
+
+INDEX_FILE_TMP=$(mktemp)
+
+INDEX_FILE="/var/lib/graphite/search_index"
+WHISPER_DIR="/var/lib/graphite/whisper"
+
+
+cd ${WHISPER_DIR} && find -L . -name '*.wsp' | sed \
+ -e 's@\.wsp$@@' \
+ -e 's@^\./@@' \
+ -e 's@/@.@g' > ${INDEX_FILE_TMP}
+
+chmod 0644 ${INDEX_FILE_TMP}
+chown graphite:graphite ${INDEX_FILE_TMP}
+
+mv -f ${INDEX_FILE_TMP} ${INDEX_FILE}